Author Topic: The beta installer IS BROKEN (and FIXED)  (Read 2260 times)

qball4

  • Veteran
  • ***
  • Posts: 78
    • View Profile
The beta installer IS BROKEN (and FIXED)
« on: October 23, 2009, 11:41:03 am »
I hate to rain on everyone's parade, but the beta's installer is clearly broken. There are more problems than the following, but these two I think are the most pressing.

1. On first boot, two instances of LMCE_Launch_Manager are spawned and continually loop package installations while preventing the AVWizard from running. Both Merkur2k and I have been able to reproduce this multiple times. Unfortunately, someone new to LinuxMCE would probably not recognize that something is wrong because they don't know exactly what is supposed to happen.

2. Media director generation doesn't work. The bug in /usr/pluto/files.d/fstab-diskless was identified almost a week ago. The missing "release" from the avenard repo was identifed about the same time. The Diskless_CreateTBZ.sh script is also broken.

Yeah, I get it; it's a beta and there's going to be bugs. These bugs, though, are the type of things that make LinuxMCE look like a hassle, when it's really a very easy system to use. The last several builds may have introduced several fixes, but they have introduced major bugs as well. To be frank, I think it's pretty tacky that the beta was released before there was a chance to identify these bugs. I'm sure there are at least a few people (including myself) that would have helped test the dvd installer given the opportunity so we wouldn't be in the situation we are in right now. At minimum, I would expect that a newly released beta would be at least as functional as the preceding alpha.

Dlewis has done a fantastic job generating interest in the project; I would hate to see that turn into a negative by people getting frustrated during installation and never getting to see how wonderful the rest of the system is.

/rant

:Matt
« Last Edit: October 24, 2009, 02:05:22 pm by qball4 »

tkmedia

  • wants to work for LinuxMCE
  • **
  • Posts: 937
    • View Profile
    • LMCECompatible
Re: The beta installer IS BROKEN
« Reply #1 on: October 23, 2009, 04:06:49 pm »
Strange... I did a fresh beta - dvd install 2 nights ago .  I had some resolution issues but everything else worked.

I added release to the avenard line ..  in sources.list
The /usr/pluto/bin/Diskless_CreateTBZ.sh ran fine for me....

With the avenard testing repo going to mythtv .22 created its own challanges.

I have been able to get mythtv .22 working.
But the automatic install is having issues currently
I will attempt to track down the .22 mythtv install issues this weekend.

Anyone want to help?


Tim
My Setup http://wiki.linuxmce.org/index.php/User:Tkmedia

For LinuxMce compatible  systems and accessories
http://lmcecompatible.com/

phenigma

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1015
    • View Profile
Re: The beta installer IS BROKEN
« Reply #2 on: October 23, 2009, 04:19:28 pm »
I will attempt to track down the .22 mythtv install issues this weekend.

Anyone want to help?
Tim

I'd love to help.  I'm booked up this evening but I'll have some time over the weekend.  I've got a test machine I can set things up on and I am familiar with mythtv (0.21 at least).

J.

Skywalker

  • Newbie
  • *
  • Posts: 10
    • View Profile
Re: The beta installer IS BROKEN
« Reply #3 on: October 23, 2009, 04:49:16 pm »
Thanks you very much for the information. I was trying for the last 3 days to install a hybrid/core.

This ist my first contact with linuxmce. I have a myth-system up and running for years now.
Now what is the recommended install procedure - knowing the beta dvd is not going to work?

thanks
Sky

PS: what about the internet installation?
http://wiki.linuxmce.org/index.php/LinuxMCE-0810_beta
« Last Edit: October 23, 2009, 04:52:16 pm by Skywalker »

team_steeze

  • Regular Poster
  • **
  • Posts: 15
    • View Profile
Re: The beta installer IS BROKEN
« Reply #4 on: October 23, 2009, 11:30:55 pm »
The Internet installation worked just fine for me.
The only issue I had after installation was getting my mythtv fixed and my diskless md's up and running.
I'll post instructions for those two issues on the Beta and MythTV wiki sometime today.

-c

jimbodude

  • Guru
  • ****
  • Posts: 372
    • View Profile
Re: The beta installer IS BROKEN
« Reply #5 on: October 24, 2009, 01:51:24 am »
The Two Launch Manager issue seems to have been corrected by a recent changeset (http://svn.linuxmce.org/trac.cgi/changeset/22384) though it was put in after the DVD.  This is why online installs work.

You can apply the diff to your system ("sudo rm" each of the three links) to fix the issue.  In my case, the graphics drivers were also hosed, so I had to reinstall those.

jefferys

  • First post!
  • Posts: 1
    • View Profile
Re: The beta installer IS BROKEN
« Reply #6 on: October 24, 2009, 05:35:42 am »
The only problem I'm having so far is that the MCE part won't install. It says something about missing package(s). I didn't have any problems with the Kubuntu install part.

Also I saw in another thread that several people received the same number of errors on the dvd check, I think it was 152 errors, and I received the same amount of errors so maybe the image needs to be re-done and that will fix the missing packages problem.

So far I really like the way this version of LinuxMCE installs, I was able to load the Nvidia drivers and get that done before dealing with the MCE part of the install.

Thanks,

JefferyS

phenigma

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1015
    • View Profile
Re: The beta installer IS BROKEN
« Reply #7 on: October 24, 2009, 06:15:20 am »
The Two Launch Manager issue seems to have been corrected by a recent changeset (http://svn.linuxmce.org/trac.cgi/changeset/22384) though it was put in after the DVD.  This is why online installs work.

After investigating further my Alpha 2.37 machine has the same startup links but doesn't exhibit the extra software launching. 

J.

merkur2k

  • Addicted
  • *
  • Posts: 513
    • View Profile
Re: The beta installer IS BROKEN
« Reply #8 on: October 24, 2009, 08:54:48 am »
i am told that all of the startup script issues have been fixed in svn and will be in the next beta release.

qball4

  • Veteran
  • ***
  • Posts: 78
    • View Profile
Re: The beta installer IS BROKEN
« Reply #9 on: October 24, 2009, 02:04:06 pm »
i am told that all of the startup script issues have been fixed in svn and will be in the next beta release.

Possy fixed the scripts and they are now part of the internet-only installation. There is still a small bug with the photo screen saver, but everything else seems to work REALLY well! I wiped my core again and used the download installer then unchecked the photo screensaver from the media director software edit screen, used the nvidia-glx-190 drivers, and an xorg.conf that includes the busid of my video card; now mostly everything is peachy.

Thanks Possy!

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5501
  • DOES work for LinuxMCE.
    • View Profile
Re: The beta installer IS BROKEN (and FIXED)
« Reply #10 on: October 24, 2009, 03:48:20 pm »
we need to make pluto-nvidia-drivers packages that have the 190 drivers in them, now.

-Thom

merkur2k

  • Addicted
  • *
  • Posts: 513
    • View Profile
Re: The beta installer IS BROKEN (and FIXED)
« Reply #11 on: October 24, 2009, 06:48:50 pm »
the beta dvd installed 190 drivers for me automatically.

maverick0815

  • Addicted
  • *
  • Posts: 561
    • View Profile
Re: The beta installer IS BROKEN (and FIXED)
« Reply #12 on: October 24, 2009, 07:56:48 pm »
This sounds great. Does that mean, that the problems with MD-creation will also be part of the past?
Quote
/usr/pluto/bin/Diskless_CreateTBZ.sh
This script had quite some problems with dependencies from pluto-mythtv-player because of change in the avenard repo to mythv .22

wombiroller

  • Guru
  • ****
  • Posts: 340
    • View Profile
Re: The beta installer IS BROKEN (and FIXED)
« Reply #13 on: October 26, 2009, 03:01:38 am »
the beta dvd installed 190 drivers for me automatically.
odd - it tried 180 for me - and I had this problem;
http://forum.linuxmce.org/index.php?topic=9074.0